import { OnInit } from '@angular/core';
import { dateObj } from '../../interfaces';
import { PrivateDynamicFromService, DynamicFormService } from '../../services';
export declare class DateControllComponent implements OnInit {
    private _privateDynamicFromService;
    private _dynamicFormService;
    rowField: any;
    field: any;
    parentFormGroup: any;
    i: number;
    j: number;
    showCalendar: boolean;
    privateConstants: any;
    weekHead: string[];
    monthList: string[];
    currentYear: number;
    currentMonth: number;
    currentDate: number;
    displayYear: number;
    displayMonth: number;
    dateArray: Array<dateObj>;
    lastSelect: number;
    weekArray: any[];
    constructor(_privateDynamicFromService: PrivateDynamicFromService, _dynamicFormService: DynamicFormService);
    ngOnInit(): void;
    errorList(errorListObj: any, fieldObj: any): Array<string>;
    showRequired(validations: any): boolean;
    changeEvent(event: any): void;
    selectedDate(event: any, j: any): void;
    catendarFocusOut(): void;
    calendarKeypress(event: any): boolean;
    selectDay(dayArr: any, j: any): void;
    today(): void;
    createMonth(year: number, month: number): void;
    backDate(dateType?: string): void;
    forwardDate(dateType?: string): void;
}
